/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import java.awt.BorderLayout;
import java.math.BigDecimal;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOLolfNomenclatureDepense;
import org.cocktail.application.client.eof.EOOrgan;
import org.cocktail.application.client.eof.EOTypeCredit;
import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableCellRenderer;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kaki.client.metier.EOCodeAnalytique;
import org.cocktail.kaki.client.metier.EOConvention;
import org.cocktail.kaki.client.metier.EOKx10Element;
import org.cocktail.kaki.client.metier.EOKxElement;
import org.cocktail.kaki.client.metier.EOPafAgent;
import org.cocktail.kaki.client.metier.EOPafCapExtLbud;
import org.cocktail.kaki.client.metier.EOPafCapExtourne;
import org.cocktail.kaki.common.KakiConstantes;
import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class ExtourneCapView  extends javax.swing.JDialog  {

	private static final long serialVersionUID = 4324011161081185269L;
	protected EODisplayGroup eod, eodLbud;
	protected ZEOTable myEOTable, myEOTableLbud;
	protected ZEOTableModel myTableModel, myTableModelLbud;
	protected TableSorter myTableSorter, myTableSorterLbud;
	protected ZEOTableCellRenderer myRendererEtat, myRendererType;

	public ExtourneCapView(JFrame parent, EODisplayGroup myEod, EODisplayGroup dgLbud, boolean modal, ZEOTableCellRenderer rendererType, ZEOTableCellRenderer rendererEtat) {

		super(parent, modal);
        myRendererType = rendererType;
        myRendererEtat = rendererEtat;

		eod = myEod;
		eodLbud = dgLbud;

		initComponents();

		initGui();

	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        listeMois = new javax.swing.JComboBox();
        btnAjouter = new javax.swing.JButton();
        buttonCLose = new javax.swing.JButton();
        tfTitre = new javax.swing.JTextField();
        viewTable = new javax.swing.JPanel();
        tfNbElements = new javax.swing.JLabel();
        btnModifier = new javax.swing.JButton();
        btnSupprimer = new javax.swing.JButton();
        exercices = new javax.swing.JComboBox();
        buttonPrintAgent = new javax.swing.JButton();
        tfMontantElements = new javax.swing.JLabel();
        btnPrintImputation = new javax.swing.JButton();
        btnLiquider = new javax.swing.JButton();
        tfFiltreEtat = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        tfFiltreImputation = new javax.swing.JTextField();
        viewTableLbud = new javax.swing.JPanel();
        lblTypeLbud = new javax.swing.JLabel();
        buttonUpdateLbud = new javax.swing.JButton();
        buttonGetLbud = new javax.swing.JButton();
        buttonDelLbud = new javax.swing.JButton();
        jLabel4 = new javax.swing.JLabel();
        tfFiltreCodeEllement = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        tfFiltreNom = new javax.swing.JTextField();
        buttonExporter = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        tfFiltrePrenom = new javax.swing.JTextField();
        tfMontantSelection = new javax.swing.JLabel();
        btnEnveloppes = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();
        tfFiltreType = new javax.swing.JTextField();
        btnDepenses = new javax.swing.JButton();
        btnVerifierCharges = new javax.swing.JButton();
        jLabel7 = new javax.swing.JLabel();
        tfFiltreCr = new javax.swing.JTextField();
        btnRechercher = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        tfFiltreUb = new javax.swing.JTextField();
        popupCodesGestion = new javax.swing.JComboBox();
        jLabel9 = new javax.swing.JLabel();
        buttonPrintPieces = new javax.swing.JButton();
        jLabel10 = new javax.swing.JLabel();
        tfFiltreConvention = new javax.swing.JTextField();
        jLabel11 = new javax.swing.JLabel();
        tfFiltreLolf = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Gestion des charges à payer");

        listeMois.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        listeMois.setToolTipText("Budget");
        listeMois.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                listeMoisActionPerformed(evt);
            }
        });

        btnAjouter.setToolTipText("Ajout d'une nouvelle charge à payer");

        buttonCLose.setText("Fermer");
        buttonCLose.setToolTipText("Fermer la fenêtre");
        buttonCLose.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonCLoseActionPerformed(evt);
            }
        });

        tfTitre.setBackground(new java.awt.Color(51, 51, 51));
        tfTitre.setEditable(false);
        tfTitre.setFont(new java.awt.Font("Times New Roman", 0, 14));
        tfTitre.setForeground(new java.awt.Color(204, 204, 255));
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("GESTION DES CHARGES A PAYER - EXTOURNE");
        tfTitre.setFocusable(false);
        tfTitre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTitreActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout viewTableLayout = new org.jdesktop.layout.GroupLayout(viewTable);
        viewTable.setLayout(viewTableLayout);
        viewTableLayout.setHorizontalGroup(
            viewTableLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 1038, Short.MAX_VALUE)
        );
        viewTableLayout.setVerticalGroup(
            viewTableLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 534, Short.MAX_VALUE)
        );

        tfNbElements.setFont(new java.awt.Font("Tahoma", 0, 14));
        tfNbElements.setForeground(new java.awt.Color(51, 51, 255));
        tfNbElements.setText("0 Eléments");

        btnModifier.setToolTipText("Modification du montant de la charge");

        btnSupprimer.setToolTipText("Suppresion de la charge sélectionnée");

        exercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        exercices.setToolTipText("Budget");
        exercices.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                exercicesActionPerformed(evt);
            }
        });

        buttonPrintAgent.setText("Agents");
        buttonPrintAgent.setToolTipText("Impression des charges à payer du mois");
        buttonPrintAgent.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonPrintAgentActionPerformed(evt);
            }
        });

        tfMontantElements.setFont(new java.awt.Font("Tahoma", 0, 14));
        tfMontantElements.setForeground(new java.awt.Color(51, 51, 255));
        tfMontantElements.setText("0 Eléments");

        btnPrintImputation.setText("Imputation");
        btnPrintImputation.setToolTipText("Impression des charges à payer du mois");
        btnPrintImputation.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnPrintImputationActionPerformed(evt);
            }
        });

        btnLiquider.setText("Liquider");
        btnLiquider.setToolTipText("Liquidation définitive");
        btnLiquider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnLiquiderActionPerformed(evt);
            }
        });

        tfFiltreEtat.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltreEtat.setToolTipText("Filtre ETAT");

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Etat ?");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Imput ?");

        tfFiltreImputation.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltreImputation.setToolTipText("Filtre ETAT");

        viewTableLbud.setLayout(new java.awt.BorderLayout());

        lblTypeLbud.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblTypeLbud.setText("Ligne Budgétaire :");

        buttonUpdateLbud.setMaximumSize(new java.awt.Dimension(75, 75));
        buttonUpdateLbud.setMinimumSize(new java.awt.Dimension(30, 22));
        buttonUpdateLbud.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonUpdateLbudActionPerformed(evt);
            }
        });

        buttonGetLbud.setMaximumSize(new java.awt.Dimension(75, 75));
        buttonGetLbud.setMinimumSize(new java.awt.Dimension(30, 22));
        buttonGetLbud.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonGetLbudActionPerformed(evt);
            }
        });

        buttonDelLbud.setMaximumSize(new java.awt.Dimension(75, 75));
        buttonDelLbud.setMinimumSize(new java.awt.Dimension(30, 22));
        buttonDelLbud.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonDelLbudActionPerformed(evt);
            }
        });

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Element ?");

        tfFiltreCodeEllement.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltreCodeEllement.setToolTipText("Filtre ETAT");

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Nom ?");

        tfFiltreNom.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltreNom.setToolTipText("Filtre ETAT");

        buttonExporter.setText("Exporter");
        buttonExporter.setToolTipText("Export excel des données");
        buttonExporter.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonExporterActionPerformed(evt);
            }
        });

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Prénom?");

        tfFiltrePrenom.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltrePrenom.setToolTipText("Filtre ETAT");

        tfMontantSelection.setFont(new java.awt.Font("Tahoma", 0, 14));
        tfMontantSelection.setForeground(new java.awt.Color(51, 51, 255));
        tfMontantSelection.setText("0 Eléments");

        btnEnveloppes.setToolTipText("Affichage des enveloppes disponibles");

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Type ?");

        tfFiltreType.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltreType.setToolTipText("Filtre ETAT");

        btnDepenses.setToolTipText("Affichage des enveloppes disponibles");

        btnVerifierCharges.setToolTipText("Affichage des enveloppes disponibles");

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("CR ?");

        tfFiltreCr.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltreCr.setToolTipText("Filtre ETAT");

        btnRechercher.setToolTipText("Recherche");

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("UB ?");

        tfFiltreUb.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltreUb.setToolTipText("Filtre ETAT");

        popupCodesGestion.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        popupCodesGestion.setToolTipText("Budget");
        popupCodesGestion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                popupCodesGestionActionPerformed(evt);
            }
        });

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Gestion ?");

        buttonPrintPieces.setText("Pièces mandats");
        buttonPrintPieces.setToolTipText("Impression des charges à payer du mois");
        buttonPrintPieces.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonPrintPiecesActionPerformed(evt);
            }
        });

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Convention ?");

        tfFiltreConvention.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltreConvention.setToolTipText("Filtre ETAT");

        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel11.setText("LOLF?");

        tfFiltreLolf.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltreLolf.setToolTipText("Filtre ETAT");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(listeMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 105, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(18, 18, 18)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(layout.createSequentialGroup()
                                                .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 55, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 63, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 55, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                            .add(layout.createSequentialGroup()
                                                .add(10, 10, 10)
                                                .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 47, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(tfFiltreUb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 59, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 57, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                            .add(layout.createSequentialGroup()
                                                .add(tfFiltrePrenom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 63, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 55, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(tfFiltreCodeEllement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 47, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                            .add(layout.createSequentialGroup()
                                                .add(tfFiltreCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(jLabel10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(tfFiltreConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 47, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 47, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 47, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                                .add(6, 6, 6)
                                                .add(tfFiltreImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 41, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(tfFiltreEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 41, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(tfFiltreType, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                            .add(layout.createSequentialGroup()
                                                .add(4, 4, 4)
                                                .add(tfFiltreLolf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 45, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                                .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(popupCodesGestion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 123, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 128, Short.MAX_VALUE)
                                        .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(layout.createSequentialGroup()
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                            .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                                .add(buttonPrintAgent, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                .add(btnPrintImputation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 161, Short.MAX_VALUE)
                                                .add(buttonPrintPieces, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 161, Short.MAX_VALUE)))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(btnVerifierCharges, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                                    .add(btnEnveloppes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                                        .add(org.jdesktop.layout.GroupLayout.TRAILING, btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                        .add(org.jdesktop.layout.GroupLayout.TRAILING, btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                        .add(org.jdesktop.layout.GroupLayout.TRAILING, btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                                .add(btnDepenses, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                                .add(12, 12, 12))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(layout.createSequentialGroup()
                                        .add(lblTypeLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 139, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                        .add(viewTableLbud, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 541, Short.MAX_VALUE))
                                    .add(layout.createSequentialGroup()
                                        .add(tfNbElements, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 101, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(18, 18, 18)
                                        .add(tfMontantElements, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 143, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfMontantSelection, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 192, Short.MAX_VALUE)
                                        .add(230, 230, 230)))
                                .add(18, 18, 18)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(15, 15, 15)
                                        .add(btnLiquider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 105, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(buttonExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 120, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(buttonCLose, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 119, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(buttonUpdateLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(buttonGetLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(buttonDelLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                        .addContainerGap())
                    .add(tfTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 1089, Short.MAX_VALUE)))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(listeMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfFiltreCodeEllement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel4)
                            .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel5)
                            .add(tfFiltrePrenom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel6)
                            .add(jLabel2)
                            .add(tfFiltreImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel1)
                            .add(tfFiltreEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel3)
                            .add(tfFiltreType, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(9, 9, 9)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel8)
                            .add(tfFiltreUb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel7)
                            .add(tfFiltreCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(popupCodesGestion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfFiltreConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel10)
                            .add(jLabel9)
                            .add(jLabel11)
                            .add(tfFiltreLolf, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(12, 12, 12)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnEnveloppes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDepenses, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnVerifierCharges, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(lblTypeLbud)
                    .add(viewTableLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(btnPrintImputation)
                            .add(buttonGetLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(buttonUpdateLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(buttonPrintAgent))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(buttonDelLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(buttonPrintPieces))))
                .add(11, 11, 11)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(buttonCLose)
                    .add(tfNbElements, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(buttonExporter)
                    .add(tfMontantSelection, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfMontantElements, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnLiquider))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-1115)/2, (screenSize.height-802)/2, 1115, 802);
    }// </editor-fold>//GEN-END:initComponents

	private void listeMoisActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_listeMoisActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_listeMoisActionPerformed

	private void buttonCLoseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonCLoseActionPerformed

		dispose();
		// TODO add your handling code here:
	}//GEN-LAST:event_buttonCLoseActionPerformed

	private void tfTitreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTitreActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfTitreActionPerformed

	private void exercicesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_exercicesActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_exercicesActionPerformed

        private void buttonPrintAgentActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonPrintAgentActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_buttonPrintAgentActionPerformed

        private void btnPrintImputationActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnPrintImputationActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_btnPrintImputationActionPerformed

        private void btnLiquiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnLiquiderActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_btnLiquiderActionPerformed

        private void buttonUpdateLbudActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonUpdateLbudActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_buttonUpdateLbudActionPerformed

        private void buttonGetLbudActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonGetLbudActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_buttonGetLbudActionPerformed

        private void buttonDelLbudActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonDelLbudActionPerformed
            // TODO add your handling code here:
}//GEN-LAST:event_buttonDelLbudActionPerformed

        private void buttonExporterActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonExporterActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_buttonExporterActionPerformed

        private void popupCodesGestionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_popupCodesGestionActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_popupCodesGestionActionPerformed

        private void buttonPrintPiecesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonPrintPiecesActionPerformed
            // TODO add your handling code here:
        }//GEN-LAST:event_buttonPrintPiecesActionPerformed

	//    /**
	//    * @param args the command line arguments
	//    */
	//    public static void main(String args[]) {
	//        java.awt.EventQueue.invokeLater(new Runnable() {
	//            public void run() {
	//                new KxElementsView().setVisible(true);
	//            }
	//        });
	//    }


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAjouter;
    private javax.swing.JButton btnDepenses;
    private javax.swing.JButton btnEnveloppes;
    private javax.swing.JButton btnLiquider;
    private javax.swing.JButton btnModifier;
    private javax.swing.JButton btnPrintImputation;
    private javax.swing.JButton btnRechercher;
    private javax.swing.JButton btnSupprimer;
    private javax.swing.JButton btnVerifierCharges;
    private javax.swing.JButton buttonCLose;
    protected javax.swing.JButton buttonDelLbud;
    private javax.swing.JButton buttonExporter;
    protected javax.swing.JButton buttonGetLbud;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JButton buttonPrintAgent;
    private javax.swing.JButton buttonPrintPieces;
    protected javax.swing.JButton buttonUpdateLbud;
    protected javax.swing.JComboBox exercices;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLabel lblTypeLbud;
    protected javax.swing.JComboBox listeMois;
    protected javax.swing.JComboBox popupCodesGestion;
    private javax.swing.JTextField tfFiltreCodeEllement;
    private javax.swing.JTextField tfFiltreConvention;
    private javax.swing.JTextField tfFiltreCr;
    private javax.swing.JTextField tfFiltreEtat;
    private javax.swing.JTextField tfFiltreImputation;
    private javax.swing.JTextField tfFiltreLolf;
    private javax.swing.JTextField tfFiltreNom;
    private javax.swing.JTextField tfFiltrePrenom;
    private javax.swing.JTextField tfFiltreType;
    private javax.swing.JTextField tfFiltreUb;
    private javax.swing.JLabel tfMontantElements;
    private javax.swing.JLabel tfMontantSelection;
    private javax.swing.JLabel tfNbElements;
    private javax.swing.JTextField tfTitre;
    private javax.swing.JPanel viewTable;
    private javax.swing.JPanel viewTableLbud;
    // End of variables declaration//GEN-END:variables

    
	private void initGui() {
		
		buttonCLose.setIcon(KakiIcones.ICON_CLOSE);
		buttonPrintAgent.setIcon(KakiIcones.ICON_PRINTER_16);
		buttonPrintPieces.setIcon(KakiIcones.ICON_PRINTER_16);
		btnPrintImputation.setIcon(KakiIcones.ICON_PRINTER_16);
		buttonExporter.setIcon(KakiIcones.ICON_EXCEL_16);
		btnAjouter.setIcon(KakiIcones.ICON_ADD);
		btnModifier.setIcon(KakiIcones.ICON_UPDATE);
		btnSupprimer.setIcon(KakiIcones.ICON_DELETE);
		buttonGetLbud.setIcon(KakiIcones.ICON_ADD);		
		buttonUpdateLbud.setIcon(KakiIcones.ICON_UPDATE);
		buttonDelLbud.setIcon(KakiIcones.ICON_DELETE);
		
		btnEnveloppes.setIcon(KakiIcones.ICON_LOUPE_16);
		btnDepenses.setIcon(KakiIcones.ICON_EURO_16);
		btnDepenses.setToolTipText("Visualisation des dépenses définitive de la charge sélectionnée");

		btnRechercher.setIcon(KakiIcones.ICON_SELECT_16);

		btnVerifierCharges.setIcon(KakiIcones.ICON_PARAMS_16);
		btnVerifierCharges.setToolTipText("Vérification des charges / dépenses associées");

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EOPafCapExtourne.AGENT_KEY+"."+EOPafAgent.PAGE_NOM_KEY, "Nom", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOPafCapExtourne.AGENT_KEY+"."+EOPafAgent.PAGE_PRENOM_KEY, "Prénom", 80);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOPafCapExtourne.AGENT_KEY+"."+EOPafAgent.TEM_CAP_KEY, "BS CAP", 50);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eod, EOPafCapExtourne.KX10_ELEMENT_KEY+"."+EOKx10Element.KX_ELEMENT_KEY+"."+EOKxElement.IDELT_KEY,  "Elément", 75);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eod, EOPafCapExtourne.KX10_ELEMENT_KEY+"."+EOKx10Element.KX_ELEMENT_KEY+"."+EOKxElement.L_ELEMENT_KEY,  "Libellé", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eod, EOPafCapExtourne.KX10_ELEMENT_KEY+"."+EOKx10Element.IMPUT_BUDGET_KEY,  "Imput", 80);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eod, EOPafCapExtourne.KX10_ELEMENT_KEY+"."+EOKx10Element.MT_ELEMENT_KEY,  "Montant KX", 75);
		col.setAlignment(SwingConstants.RIGHT);
		col.setColumnClass(BigDecimal.class);
		myCols.add(col);

		col = new ZEOTableModelColumn(eod, EOPafCapExtourne.PCEX_MONTANT_KEY,  "Mt CAP ", 75);
		col.setAlignment(SwingConstants.RIGHT);
		col.setColumnClass(BigDecimal.class);
		myCols.add(col);

		col = new ZEOTableModelColumn(eod, EOPafCapExtourne.PCEX_TYPE_KEY,  "Type", 75);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOPafCapExtourne.PCEX_ETAT_KEY,  "Etat", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setTableCellRenderer(myRendererEtat);
		myCols.add(col);

		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTable.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);
		
		// LBUD
		
		myCols = new Vector<ZEOTableModelColumn>();
		
		col = new ZEOTableModelColumn(eodLbud, EOPafCapExtLbud.ORGAN_KEY + "."+ EOOrgan.ORG_UB_KEY, "UB", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafCapExtLbud.ORGAN_KEY + "."+ EOOrgan.ORG_CR_KEY, "CR", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafCapExtLbud.ORGAN_KEY + "."+ EOOrgan.ORG_SOUSCR_KEY, "SOUS CR", 115);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafCapExtLbud.TYPE_CREDIT_KEY + "." + EOTypeCredit.TCD_CODE_KEY, "TCD", 40);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafCapExtLbud.LOLF_KEY+"."+EOLolfNomenclatureDepense.LOLF_CODE_KEY, "Action", 60);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafCapExtLbud.CODE_ANALYTIQUE_KEY +"." + EOCodeAnalytique.CAN_CODE_KEY, "Canal", 110);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafCapExtLbud.CONVENTION_KEY +"." + EOConvention.CON_INDEX_KEY, "Conv", 80);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodLbud, EOPafCapExtLbud.PCEL_QUOTITE_KEY, "Quot", 50);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		
		myTableModelLbud = new ZEOTableModel(eodLbud, myCols);
		myTableSorterLbud = new TableSorter(myTableModelLbud);

		myEOTableLbud = new ZEOTable(myTableSorterLbud);
		myTableSorterLbud.setTableHeader(myEOTableLbud.getTableHeader());		
		
		myEOTableLbud.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableLbud.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTableLbud.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);		
		
		viewTableLbud.setBorder(BorderFactory.createEmptyBorder());
		viewTableLbud.removeAll();
		viewTableLbud.setLayout(new BorderLayout());
		viewTableLbud.add(new JScrollPane(myEOTableLbud), BorderLayout.CENTER);


	}


	public void setListeExercices(NSArray liste) {

		exercices.removeAllItems();
		for (int i=0;i<liste.count();i++)
			exercices.addItem(liste.objectAtIndex(i));
	}



	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	
	
	public ZEOTable getMyEOTableLbud() {
		return myEOTableLbud;
	}

	public void setMyEOTableLbud(ZEOTable myEOTableLbud) {
		this.myEOTableLbud = myEOTableLbud;
	}

	public ZEOTableModel getMyTableModelLbud() {
		return myTableModelLbud;
	}

	public void setMyTableModelLbud(ZEOTableModel myTableModelLbud) {
		this.myTableModelLbud = myTableModelLbud;
	}

	public javax.swing.JButton getButtonDelLbud() {
		return buttonDelLbud;
	}

	public void setButtonDelLbud(javax.swing.JButton buttonDelLbud) {
		this.buttonDelLbud = buttonDelLbud;
	}

	public javax.swing.JButton getButtonGetLbud() {
		return buttonGetLbud;
	}

	public javax.swing.JLabel getTfMontantSelection() {
		return tfMontantSelection;
	}

	public void setTfMontantSelection(javax.swing.JLabel tfMontantSelection) {
		this.tfMontantSelection = tfMontantSelection;
	}

	public void setButtonGetLbud(javax.swing.JButton buttonGetLbud) {
		this.buttonGetLbud = buttonGetLbud;
	}

	public javax.swing.JButton getButtonUpdateLbud() {
		return buttonUpdateLbud;
	}

	public void setButtonUpdateLbud(javax.swing.JButton buttonUpdateLbud) {
		this.buttonUpdateLbud = buttonUpdateLbud;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	
	
	public javax.swing.JTextField getTfFiltreCodeEllement() {
		return tfFiltreCodeEllement;
	}

	public void setTfFiltreCodeEllement(javax.swing.JTextField tfFiltreCodeEllement) {
		this.tfFiltreCodeEllement = tfFiltreCodeEllement;
	}

	public javax.swing.JTextField getTfFiltreEtat() {
		return tfFiltreEtat;
	}

	public void setTfFiltreEtat(javax.swing.JTextField tfFiltreEtat) {
		this.tfFiltreEtat = tfFiltreEtat;
	}

	public javax.swing.JTextField getTfFiltreImputation() {
		return tfFiltreImputation;
	}

	public void setTfFiltreImputation(javax.swing.JTextField tfFiltreImputation) {
		this.tfFiltreImputation = tfFiltreImputation;
	}

	public javax.swing.JTextField getTfFiltreNom() {
		return tfFiltreNom;
	}

	public javax.swing.JTextField getTfFiltrePrenom() {
		return tfFiltrePrenom;
	}

	public void setTfFiltrePrenom(javax.swing.JTextField tfFiltrePrenom) {
		this.tfFiltrePrenom = tfFiltrePrenom;
	}

	public void setTfFiltreNom(javax.swing.JTextField tfFiltreNom) {
		this.tfFiltreNom = tfFiltreNom;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JButton getButtonCLose() {
		return buttonCLose;
	}

	public void setButtonCLose(javax.swing.JButton buttonCLose) {
		this.buttonCLose = buttonCLose;
	}

	public javax.swing.JComboBox getListeMois() {
		return listeMois;
	}

	public void setListeMois(javax.swing.JComboBox listeMois) {
		this.listeMois = listeMois;
	}

	public void setListeMois(NSArray liste) {

		listeMois.removeAllItems();
		for (int i=0;i<liste.count();i++)
			listeMois.addItem(liste.objectAtIndex(i)); 
		
	}

	public javax.swing.JComboBox getExercices() {
		return exercices;
	}

	public void setExercices(javax.swing.JComboBox exercices) {
		this.exercices = exercices;
	}
	
	public javax.swing.JLabel getTfMontantElements() {
		return tfMontantElements;
	}

	public void setTfMontantElements(javax.swing.JLabel tfMontantElements) {
		this.tfMontantElements = tfMontantElements;
	}

	
	
	public javax.swing.JButton getButtonPrintAgent() {
		return buttonPrintAgent;
	}

	
	
	public void setButtonPrintAgent(javax.swing.JButton buttonPrintAgent) {
		this.buttonPrintAgent = buttonPrintAgent;
	}

	public javax.swing.JLabel getTfNbElements() {
		return tfNbElements;
	}

	public javax.swing.JButton getButtonExporter() {
		return buttonExporter;
	}

	public void setButtonExporter(javax.swing.JButton buttonExporter) {
		this.buttonExporter = buttonExporter;
	}

	public void setTfNbElements(javax.swing.JLabel tfNbElements) {
		this.tfNbElements = tfNbElements;
	}

	public javax.swing.JTextField getTfTitre() {
		return tfTitre;
	}

	public void setTfTitre(javax.swing.JTextField tfTitre) {
		this.tfTitre = tfTitre;
	}

	public javax.swing.JPanel getViewTable() {
		return viewTable;
	}

	public void setViewTable(javax.swing.JPanel viewTable) {
		this.viewTable = viewTable;
	}

	public javax.swing.JButton getBtnLiquider() {
		return btnLiquider;
	}

	public void setBtnLiquider(javax.swing.JButton btnLiquider) {
		this.btnLiquider = btnLiquider;
	}

	public javax.swing.JButton getBtnEnveloppes() {
		return btnEnveloppes;
	}

	public void setBtnEnveloppes(javax.swing.JButton btnEnveloppes) {
		this.btnEnveloppes = btnEnveloppes;
	}

	public javax.swing.JLabel getLblTypeLbud() {
		return lblTypeLbud;
	}

	public void setLblTypeLbud(javax.swing.JLabel lblTypeLbud) {
		this.lblTypeLbud = lblTypeLbud;
	}

	public javax.swing.JTextField getTfFiltreType() {
		return tfFiltreType;
	}

	public void setTfFiltreType(javax.swing.JTextField tfFiltreType) {
		this.tfFiltreType = tfFiltreType;
	}

	public javax.swing.JButton getBtnDepenses() {
		return btnDepenses;
	}

	public void setBtnDepenses(javax.swing.JButton btnDepenses) {
		this.btnDepenses = btnDepenses;
	}

	public javax.swing.JButton getBtnVerifierCharges() {
		return btnVerifierCharges;
	}

	public void setBtnVerifierCharges(javax.swing.JButton btnVerifierCharges) {
		this.btnVerifierCharges = btnVerifierCharges;
	}

	public javax.swing.JTextField getTfFiltreCr() {
		return tfFiltreCr;
	}

	public void setTfFiltreCr(javax.swing.JTextField tfFiltreCr) {
		this.tfFiltreCr = tfFiltreCr;
	}

	public javax.swing.JButton getBtnRechercher() {
		return btnRechercher;
	}

	public void setBtnRechercher(javax.swing.JButton btnRechercher) {
		this.btnRechercher = btnRechercher;
	}

	public javax.swing.JTextField getTfFiltreUb() {
		return tfFiltreUb;
	}

	public void setTfFiltreUb(javax.swing.JTextField tfFiltreUb) {
		this.tfFiltreUb = tfFiltreUb;
	}

	public javax.swing.JButton getBtnPrintImputation() {
		return btnPrintImputation;
	}

	public void setBtnPrintImputation(javax.swing.JButton btnPrintImputation) {
		this.btnPrintImputation = btnPrintImputation;
	}

	public javax.swing.JComboBox getPopupCodesGestion() {
		return popupCodesGestion;
	}

	public void setPopupCodesGestion(javax.swing.JComboBox popupCodesGestion) {
		this.popupCodesGestion = popupCodesGestion;
	}

	public javax.swing.JButton getButtonPrintPieces() {
		return buttonPrintPieces;
	}

	public void setButtonPrintPieces(javax.swing.JButton buttonPrintPieces) {
		this.buttonPrintPieces = buttonPrintPieces;
	}

	public javax.swing.JTextField getTfFiltreConvention() {
		return tfFiltreConvention;
	}

	public void setTfFiltreConvention(javax.swing.JTextField tfFiltreConvention) {
		this.tfFiltreConvention = tfFiltreConvention;
	}

	public javax.swing.JTextField getTfFiltreLolf() {
		return tfFiltreLolf;
	}

	public void setTfFiltreLolf(javax.swing.JTextField tfFiltreLolf) {
		this.tfFiltreLolf = tfFiltreLolf;
	}

}
